import React, { Component } from 'react';
import { NavBar, Icon } from 'antd-mobile';

export default class Header extends Component {
  state = {};

  componentDidMount() {}
  goBack = () => {
    window.history.back();
  };
  render() {
    let { title } = this.props;
    return (
      <div className="navBarWrap">
        <NavBar mode="dark" leftContent={<Icon type="left" onClick={this.goBack} />}>
          {title}
        </NavBar>

        <style jsx>
          {`
            .navBarWrap {
              position: absolute;
              top: 0;
              width: 100%;
              height: 45px;
            }
          `}
        </style>
      </div>
    );
  }
}
