import React from 'react';
import UserListsWrap from "../../Components/UserListsWrap/UserListsWrapNoTotal"
import UserListsWrapNoTotal from "../../Components/UserListsWrap/UserListsWrapNoTotal"
import PropTypes from "prop-types"

let propTypes = {
  loading:PropTypes.bool,//是不是正在请求
  total:PropTypes.number,
  listsLength:PropTypes.number, //最新获取listsData长度；
  children:PropTypes.node,
  newListsLength:PropTypes.number
}

function LayoutLoadMore({loading,total,listsLength,newListsLength,children,...other}){
        return (
          <div {...other}>
            {children}
            {
              (!total && total!==0) ? UserListsWrapNoTotal({loading, listsLength, newListsLength}) : UserListsWrap(loading, total, listsLength)
            }
          </div>
    )
}
LayoutLoadMore.propTypes=propTypes;
export default LayoutLoadMore;
