import React from 'react';
import WrapLink from '../../Components/WrapLink/WrapLink';
import { loadImage } from '../../utils/common';

export default function TitleBarBig({ imgName, children, url, className = '' }) {
  return (
    <div className={`df jcb ${className}`}>
      <div className={'df aic'}>
        <img src={loadImage(imgName)} alt="" className={'mr10 w25 h25'} />
        <span className={'fs18'}>{children}</span>
      </div>
      {url && (
        <WrapLink className={'box-c bdrs20 bd1 fs12 dib'} url={url}>
          <span>更多</span>
        </WrapLink>
      )}
    </div>
  );
}
