import React, { Component } from 'react';
import ClassNames from 'classnames';

class TabBar extends Component {
  render() {
    const { tabTexts, tabIndex, tabToggle } = this.props;
    return (
      <div className="nav-bar">
        {tabTexts.map((tab, index) => (
          <div
            key={tab}
            onClick={() => {
              tabToggle(index);
            }}
            className={ClassNames('item-bar', { active: index == tabIndex })}
          >
            <span>{tab}</span>
          </div>
        ))}
      </div>
    );
  }
}

export default TabBar;
