import React, { PureComponent } from 'react';
export default class FooterButton extends PureComponent {
  render() {
    const { demoType, isFav, button } = this.props.detailData || {};
    const { imgurl, shiting, joinCourse } = this.props;
    return (
      <div className={'fix b0 w100p bdt1'} style={{ height: '54px', zIndex: '54px', zIndex: 100, background: '#fff' }}>
        <div className={'df fz10 tac'} style={{ paddingTop: '7px`' }}>
          <div className={'fx2 c6 df jca'}>
            <p className={'df fxdc jcc w50p'} onClick={this.props.shoucang} style={{ paddingLeft: '10px' }}>
              <img className="mauto" style={{ width: '20px' }} src={imgurl} />
              <span>{isFav ? '已收藏' : '收藏'}</span>
            </p>
            {demoType ? (
              <p className={'df fxdc jcc w50p pr15'} onClick={shiting}>
                <img className="mauto" style={{ width: '20px' }} src="//static.ydlcdn.com/user/images/ico_listen_nor@3x.png" />
                <span>试听</span>
              </p>
            ) : (
              <p className={'df fxdc jcc op5 w50p pr15'}>
                <img className="mauto" style={{ width: '20px' }} src="//static.ydlcdn.com/user/images/course_ico_audio@3x.png" />
                <span>试听</span>
              </p>
            )}
          </div>
          {button && button.type ? (
            <div className={'fx4 bg-blue white h40 lh40 mr10 fs16 bdrs40'} style={{ background: '#108ee9' }} onClick={joinCourse}>
              {button && button.desc}
            </div>
          ) : (
            <div className={'fx4 bg-blue white h40 lh40 mr10 fs16 bdrs40'} style={{ background: '#d8dade' }}>
              {button && button.desc}
            </div>
          )}
        </div>
      </div>
    );
  }
}
