import React from 'react';
import WrapLink from '../../common/WrapLink/WrapLink';
import { loadImage } from '../../../utils/common';

export default function TitleBar({ imgName, children, url, className = '' }) {
  return (
    <div className={`df jcb ${className}`}>
      <div className={'df aic'}>
        <img src={loadImage(imgName)} alt="" style={{ width: '16px', height: '16px' }} className={'mr10'} />
        <b>{children}</b>
      </div>
      {url && (
        <WrapLink className={'box-c bdrs20 bd1 fs12 dib'} url={url}>
          <span>更多</span>
        </WrapLink>
      )}
    </div>
  );
}
