import React from 'react';
import { Tabs, Badge, Carousel, NoticeBar } from 'antd-mobile';
import BScroll from 'better-scroll';
import { connect } from 'react-redux';
import LazyLoad, { forceCheck } from 'react-lazyload';
import './index.less';
class App extends React.Component {
  constructor() {
    super();
  }
  componentDidMount() {}
  refresh = () => {
    if (this.myScroll) {
      this.myScroll.refresh();
      requestAnimationFrame(this.refresh);
    }
  };
  componentDidUpdate() {
    requestAnimationFrame(this.refresh);
    this.myScroll.on('scroll', e => {
      forceCheck();
      if (e.y < -130) {
        this.props.TitleColor('red');
      } else if (e.y > -130) {
        this.props.TitleColor('transparent');
      }
    });
  }

  render() {
    const { data } = this.props;
    if (this.myScroll) {
      this.myScroll.refresh();
    }
    return (
      <div className="content-wrap" ref={this.wrap}>
        home
      </div>
    );
  }
}

export default App;
