import React, { Component } from 'react';
import './pay.less';
class Pay extends Component {
  render() {
    return (
      <div className="pay-box">
        <ul className="y-cells">
          <li>
            <div className="head-cell">
              <span className="b">预约咨询（王尼玛）</span>
            </div>
            <div className="footer-cell">
              <span className="fs12">￥</span>
              <span>129.00</span>
            </div>
          </li>
          <li>
            <div className="head-cell" />
            <div className="footer-cell">
              <span className="c3">还需支付</span>
              <span>￥</span>
              <span className="fs24">129.00</span>
            </div>
          </li>
        </ul>
        <div className="fs12 separate">选择支付方式</div>

        <ul className="y-cells pay-list">
          <li>
            <label for="wechat">
              <i className="y-icon-wechat" />
              <span className="ml5 flex1">微信支付</span>
              <input id="wechat" checked className="y-checkbox" type="radio" name="payType" value="2" />
            </label>
          </li>
          <li>
            <label for="alipay">
              <i className="y-icon-alipay" />
              <span className="ml5 flex1">支付宝支付</span>
              <input id="alipay" className="y-checkbox" type="radio" name="payType" value="1" />
            </label>
          </li>
        </ul>
        <div className="fs12 box-c pt30 c6">
          <div>付款保障：</div>
          <ul>
            <li>1.国内专业的心理服务平台，300万客户的选择；</li>
            <li>2.CCTV12"我和你说"栏目诚邀合作，信心保障；</li>
            <li>3.咨询不满意，随时退款!</li>
          </ul>
        </div>
        <div className="bottom-operate bottom-cover">
          <div className="customer">
            <span>客服</span>
          </div>
          <button className="am-button am-button-primary">(¥36.00) 确认付款</button>
        </div>
      </div>
    );
  }
}
export default Pay;
